MONGOC_CLIENT_NEW(3)

NAME
mongoc_client_new - mongoc_client_new()

SYNOPSIS

mongoc_client_t *
mongoc_client_new (const char *uri_string) BSON_GNUC_WARN_UNUSED_RESULT;

Creates a new mongoc_client_t using the URI string provided.

PARAMETERS

•   uri_string: A string containing the MongoDB connection URI.

RETURNS

A newly allocated mongoc_client_t that should be freed with mongoc_client_destroy() when no longer in use. On error, NULL is returned and an error or warning will be logged.

SEE ALSO:
mongoc_client_new_from_uri()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc